<script>
const { each }=import("svelte/internal");

    const name = "Hovhannes";
    const fav_things = ["my job", "my family", "music"];
    const len_minus_one = fav_things.length-1;
</script>

<div>
    <p>My name is <span>{name}</span> and these are some of my favourite things:
        {#each fav_things as fav_thing, i}
            {#if i != len_minus_one}
                <span>{fav_thing}, </span>
            {:else}
                <span>{fav_thing}. </span>
            {/if}
        {/each}
    </p>
</div>